CMSIS-Build: make: GNU Make

| CMSIS-Build Version 0.9.0 (beta) Tools, software frameworks, and work flows for productivity with CMSIS based projects

- Main Page
- Usage and Description

All Pages
make: GNU Make

The make utility automatically determines which pieces of a large program need to be recompiled, and issues commands to recompile them. For Windows, the cp_install.sh: Install Packs installs GNU Make version 4.2 compiled for Win32. For full documentation visit: https://www.gnu.org/software/make/manual/make.html#Options-Summary.

make is called from the Bash command line with the following syntax:

make [<options>] [<target>] ...

The cbuild.sh script uses only the following subset of the make options.

[<options>] | Short Name | Description
--- | --- | ---
-f FILE | Specify makefile | Run make for the makefile specified by FILE
-j [N] | Run parallel jobs. | Speed up builds by allowing N jobs at once; infinite jobs with no arg.
-r | Run make without built-in rules | Disable the implicit rules built into make.
-s | Run make in silent mode | Don't echo recipes.</td
[<target>] | Short Name | Description
clean | Cleanup build | Requests to remove intermediate build output files

# Usage Example

Build a project:

$ make -j -f MyProject.mak

Cleanup the project build directories:

$ make -f MyProject.mak clean